[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TEditCopy.ExecuteTarget

Executes the action for the specified target control.

## Declaration

Source position: stdactns.pas line 60

`public procedure TEditCopy.ExecuteTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | Object where the editing action is applied.

## Description

ExecuteTarget is an overridden method used to execute the editing action for the specified target control. It re-implements the method introduced in the ancestor class.

Target is the object instance where the editing action is applied. It is cast to a TCustomEdit type, and its CopyToClipboard method is called to perform the editing action.

## See also

TCustomEdit.CopyToClipboard |  | Copies the selected text in the control to the clipboard.
TBasicAction.ExecuteTarget